<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sat Aug 03 14:00:59 PDT 2013 -->
<TITLE>
NjordTreeNode
</TITLE>

<META NAME="date" CONTENT="2013-08-03">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="NjordTreeNode";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordTreeNode.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordRuleEditorPanel.OpenFileAction.html" title="class in com.theuberlab.njord.ui"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeRenderer.html" title="class in com.theuberlab.njord.ui"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/theuberlab/njord/ui/NjordTreeNode.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordTreeNode.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.theuberlab.njord.ui</FONT>
<BR>
Class NjordTreeNode</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">javax.swing.tree.DefaultMutableTreeNode
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>com.theuberlab.njord.ui.NjordTreeNode</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>NjordTreeNode</B><DT>extends javax.swing.tree.DefaultMutableTreeNode</DL>
</PRE>

<P>
NjordTreeNode is a class to override the DefaultMutableTreeNode in order to give us capabilities such as not building the iRules tree 
 until we actually expand the iRulesTree.
 NjordTreeNode v2 is a major departure from v1. Where v2 was only in place until the tree was populated NjordTreeNode v2 will always be the tree node.
 Then if a tree node is double clicked it will return the path to the object we want to load and we will load that in a tab.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>forster</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../serialized-form.html#com.theuberlab.njord.ui.NjordTreeNode">Serialized Form</A></DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#bigIP">bigIP</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#dirty">dirty</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Dirty if the object that this node represents has been modified.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#fullName">fullName</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The full name including the path prefix for v10 systems.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#name">name</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The short name of this node.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeCategory.html" title="enum in com.theuberlab.njord.constants">NjordNodeCategory</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#nodeCategory">nodeCategory</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The node category.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeContext.html" title="enum in com.theuberlab.njord.constants">NjordNodeContext</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#nodeContext">nodeContext</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The node context.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#nodeOrigin">nodeOrigin</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The node origin.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#nodeType">nodeType</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The node type.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#populated">populated</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Has the object that this node represents been fetched</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#serialVersionUID">serialVersionUID</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The Major Version of the class.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_javax.swing.tree.DefaultMutableTreeNode"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class javax.swing.tree.DefaultMutableTreeNode</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>allowsChildren, children, EMPTY_ENUMERATION, parent, userObject</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#NjordTreeNode(com.theuberlab.njord.model.BigIP)">NjordTreeNode</A></B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;bigip)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new node from a bigip.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#NjordTreeNode(com.theuberlab.njord.ui.NjordRuleEditorPanel)">NjordTreeNode</A></B>(<A HREF="../../../../com/theuberlab/njord/ui/NjordRuleEditorPanel.html" title="class in com.theuberlab.njord.ui">NjordRuleEditorPanel</A>&nbsp;editorPane)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Eventually this should become the only constructor When created with the TextEditorPane constructor and no nodeType the NjordTreeNode will be initialized
 with a node Type of NjordConstants.NODE_TYPE_IRULE.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#NjordTreeNode(java.lang.String, com.theuberlab.njord.constants.NjordNodeType)">NjordTreeNode</A></B>(java.lang.String&nbsp;name,
              <A HREF="../../../../com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A>&nbsp;nodeType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new node specifying the type.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#getBigIP()">getBigIP</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the bigip.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#getFullName()">getFullName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the full name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeCategory.html" title="enum in com.theuberlab.njord.constants">NjordNodeCategory</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#getNodeCategory()">getNodeCategory</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the node type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeContext.html" title="enum in com.theuberlab.njord.constants">NjordNodeContext</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#getNodeContext()">getNodeContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the node context</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#getNodeType()">getNodeType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the node type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#getParent()">getParent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a NjordTreeNode version of the parent node.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#getShortName()">getShortName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the short name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#setNodeCategory(com.theuberlab.njord.constants.NjordNodeCategory)">setNodeCategory</A></B>(<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeCategory.html" title="enum in com.theuberlab.njord.constants">NjordNodeCategory</A>&nbsp;newCategory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the node category.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#setNodeContext(com.theuberlab.njord.constants.NjordNodeContext)">setNodeContext</A></B>(<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeContext.html" title="enum in com.theuberlab.njord.constants">NjordNodeContext</A>&nbsp;newContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the node Context</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#setNodeType(com.theuberlab.njord.constants.NjordNodeType)">setNodeType</A></B>(<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A>&nbsp;newType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the node type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the short name.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_javax.swing.tree.DefaultMutableTreeNode"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class javax.swing.tree.DefaultMutableTreeNode</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="serialVersionUID"><!-- --></A><H3>
serialVersionUID</H3>
<PRE>
private static final long <B>serialVersionUID</B></PRE>
<DL>
<DD>The Major Version of the class.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#com.theuberlab.njord.ui.NjordTreeNode.serialVersionUID">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="name"><!-- --></A><H3>
name</H3>
<PRE>
public java.lang.String <B>name</B></PRE>
<DL>
<DD>The short name of this node. I.E. myiRule
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="fullName"><!-- --></A><H3>
fullName</H3>
<PRE>
public java.lang.String <B>fullName</B></PRE>
<DL>
<DD>The full name including the path prefix for v10 systems. I.E. /Common/myiRule
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="populated"><!-- --></A><H3>
populated</H3>
<PRE>
public boolean <B>populated</B></PRE>
<DL>
<DD>Has the object that this node represents been fetched
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="nodeType"><!-- --></A><H3>
nodeType</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A> <B>nodeType</B></PRE>
<DL>
<DD>The node type. I.E. NODE_TYPE_EDITABLE NODE_TYPE_ORIGIN, etc.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="nodeOrigin"><!-- --></A><H3>
nodeOrigin</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>nodeOrigin</B></PRE>
<DL>
<DD>The node origin. I.E. The BIG-IP this node resides on. Or local.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="nodeContext"><!-- --></A><H3>
nodeContext</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/constants/NjordNodeContext.html" title="enum in com.theuberlab.njord.constants">NjordNodeContext</A> <B>nodeContext</B></PRE>
<DL>
<DD>The node context. Local or remote.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="nodeCategory"><!-- --></A><H3>
nodeCategory</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/constants/NjordNodeCategory.html" title="enum in com.theuberlab.njord.constants">NjordNodeCategory</A> <B>nodeCategory</B></PRE>
<DL>
<DD>The node category.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="dirty"><!-- --></A><H3>
dirty</H3>
<PRE>
public boolean <B>dirty</B></PRE>
<DL>
<DD>Dirty if the object that this node represents has been modified.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="bigIP"><!-- --></A><H3>
bigIP</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A> <B>bigIP</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NjordTreeNode(com.theuberlab.njord.ui.NjordRuleEditorPanel)"><!-- --></A><H3>
NjordTreeNode</H3>
<PRE>
public <B>NjordTreeNode</B>(<A HREF="../../../../com/theuberlab/njord/ui/NjordRuleEditorPanel.html" title="class in com.theuberlab.njord.ui">NjordRuleEditorPanel</A>&nbsp;editorPane)</PRE>
<DL>
<DD>Eventually this should become the only constructor When created with the TextEditorPane constructor and no nodeType the NjordTreeNode will be initialized
 with a node Type of NjordConstants.NODE_TYPE_IRULE.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>editorPane</CODE> - </DL>
</DL>
<HR>

<A NAME="NjordTreeNode(com.theuberlab.njord.model.BigIP)"><!-- --></A><H3>
NjordTreeNode</H3>
<PRE>
public <B>NjordTreeNode</B>(<A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A>&nbsp;bigip)</PRE>
<DL>
<DD>Creates a new node from a bigip.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - </DL>
</DL>
<HR>

<A NAME="NjordTreeNode(java.lang.String, com.theuberlab.njord.constants.NjordNodeType)"><!-- --></A><H3>
NjordTreeNode</H3>
<PRE>
public <B>NjordTreeNode</B>(java.lang.String&nbsp;name,
                     <A HREF="../../../../com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A>&nbsp;nodeType)</PRE>
<DL>
<DD>Creates a new node specifying the type.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - <DD><CODE>nodeType</CODE> - </DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="setNodeType(com.theuberlab.njord.constants.NjordNodeType)"><!-- --></A><H3>
setNodeType</H3>
<PRE>
public void <B>setNodeType</B>(<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A>&nbsp;newType)</PRE>
<DL>
<DD>Sets the node type
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>newType</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="getNodeType()"><!-- --></A><H3>
getNodeType</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/constants/NjordNodeType.html" title="enum in com.theuberlab.njord.constants">NjordNodeType</A> <B>getNodeType</B>()</PRE>
<DL>
<DD>Gets the node type
<P>
<DD><DL>

<DT><B>Returns:</B><DD>NjordNodeType</DL>
</DD>
</DL>
<HR>

<A NAME="setNodeContext(com.theuberlab.njord.constants.NjordNodeContext)"><!-- --></A><H3>
setNodeContext</H3>
<PRE>
public void <B>setNodeContext</B>(<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeContext.html" title="enum in com.theuberlab.njord.constants">NjordNodeContext</A>&nbsp;newContext)</PRE>
<DL>
<DD>Sets the node Context
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>newContext</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="getNodeContext()"><!-- --></A><H3>
getNodeContext</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/constants/NjordNodeContext.html" title="enum in com.theuberlab.njord.constants">NjordNodeContext</A> <B>getNodeContext</B>()</PRE>
<DL>
<DD>Gets the node context
<P>
<DD><DL>

<DT><B>Returns:</B><DD>NjordNodeType</DL>
</DD>
</DL>
<HR>

<A NAME="setNodeCategory(com.theuberlab.njord.constants.NjordNodeCategory)"><!-- --></A><H3>
setNodeCategory</H3>
<PRE>
public void <B>setNodeCategory</B>(<A HREF="../../../../com/theuberlab/njord/constants/NjordNodeCategory.html" title="enum in com.theuberlab.njord.constants">NjordNodeCategory</A>&nbsp;newCategory)</PRE>
<DL>
<DD>Sets the node category.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>newType</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="getNodeCategory()"><!-- --></A><H3>
getNodeCategory</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/constants/NjordNodeCategory.html" title="enum in com.theuberlab.njord.constants">NjordNodeCategory</A> <B>getNodeCategory</B>()</PRE>
<DL>
<DD>Gets the node type
<P>
<DD><DL>

<DT><B>Returns:</B><DD>NjordNodeType</DL>
</DD>
</DL>
<HR>

<A NAME="getShortName()"><!-- --></A><H3>
getShortName</H3>
<PRE>
public java.lang.String <B>getShortName</B>()</PRE>
<DL>
<DD>Gets the short name.
<P>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getFullName()"><!-- --></A><H3>
getFullName</H3>
<PRE>
public java.lang.String <B>getFullName</B>()</PRE>
<DL>
<DD>Gets the full name.
<P>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getBigIP()"><!-- --></A><H3>
getBigIP</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/model/BigIP.html" title="class in com.theuberlab.njord.model">BigIP</A> <B>getBigIP</B>()</PRE>
<DL>
<DD>Gets the bigip.
<P>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getParent()"><!-- --></A><H3>
getParent</H3>
<PRE>
public <A HREF="../../../../com/theuberlab/njord/ui/NjordTreeNode.html" title="class in com.theuberlab.njord.ui">NjordTreeNode</A> <B>getParent</B>()</PRE>
<DL>
<DD>Returns a NjordTreeNode version of the parent node.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE>getParent</CODE> in interface <CODE>javax.swing.tree.TreeNode</CODE><DT><B>Overrides:</B><DD><CODE>getParent</CODE> in class <CODE>javax.swing.tree.DefaultMutableTreeNode</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns the short name.
//     *
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>javax.swing.tree.DefaultMutableTreeNode</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordTreeNode.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordRuleEditorPanel.OpenFileAction.html" title="class in com.theuberlab.njord.ui"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/theuberlab/njord/ui/NjordTreeRenderer.html" title="class in com.theuberlab.njord.ui"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/theuberlab/njord/ui/NjordTreeNode.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordTreeNode.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
